.status__content {
  p,
  li {
    strong {
      font-weight: bold;
    }
  }

  p,
  li {
    em {
      font-style: italic;
    }
  }

  ul,
  ol {
    @apply pl-10;
  }

  ul {
    list-style: disc outside none;
  }

  ol {
    list-style: decimal outside none;
  }

  blockquote {
    @apply py-1 pl-4 border-l-4 border-solid border-gray-400 text-gray-500 dark:text-gray-400;
  }

  code {
    font-family: 'Roboto Mono', monospace;
    cursor: text;
  }

  p > code,
  pre {
    @apply bg-gray-100 dark:bg-slate-900;
  }

  /* Inline code */
  p > code {
    padding: 2px 4px;
    border-radius: 4px;
  }

  /* Code block */
  pre {
    line-height: 1.6em;
    overflow-x: auto;
    border-radius: 6px;
    padding: 8px 12px;
    margin-bottom: 20px;
    word-break: break-all;
  }

  /* Markdown images */
  img:not(.emojione):not([width][height]) {
    width: 100%;
    height: 285.188px;
    object-fit: contain;
    background: var(--background-color);
    border-radius: 4px;
    overflow: hidden;
    margin: 20px 0;
    display: block;
  }

  &--big {
    line-height: normal !important;

    img.emojione {
      display: inline;
      width: 36px;
      height: 36px;
      padding: 5px;
    }
  }
}

.status__content > ul,
.status__content > ol {
  margin-bottom: 20px;
}

.status__content > blockquote {
  margin-bottom: 20px;
}

.status__content--with-action {
  cursor: pointer;
}

.status__content.status__content--collapsed {
  max-height: 20px * 15; // 15 lines is roughly above 500 characters
}

.status__content__read-more-button {
  @apply block text-gray-900 dark:text-gray-300 border-0 bg-transparent p-0 pt-2 hover:underline active:underline;
}

.status-link {
  @apply hover:underline text-primary-600 dark:text-primary-400 hover:text-primary-800 dark:hover:text-primary-500;
}

.status {
  @apply min-h-[54px] cursor-default;

  @supports (-ms-overflow-style: -ms-autohiding-scrollbar) {
    // Add margin to avoid Edge auto-hiding scrollbar appearing over content.
    // On Edge 16 this is 16px and Edge <=15 it's 12px, so aim for 16px.
    padding-right: 26px; // 10px + 16px
  }

  @keyframes fade {
    0% { opacity: 0; }
    100% { opacity: 1; }
  }
  opacity: 1;
  animation: fade 150ms linear;

  .video-player,
  .audio-player {
    margin-top: 8px;
  }

  &.light {
    .display-name {
      strong {
        color: var(--primary-text-color);
      }

      span {
        color: var(--primary-text-color--faint);
      }
    }

    .status__content {
      color: var(--primary-text-color);

      a {
        color: var(--highlight-text-color);
      }
    }
  }

  &__meta {
    font-size: 14px;
    color: var(--primary-text-color--faint);

    a {
      color: var(--brand-color);
      font-weight: bold;
      text-decoration: none;

      &:hover {
        text-decoration: underline;
      }
    }
  }
}

.status__wrapper {
  @apply bg-white dark:bg-slate-800 px-4 py-6 shadow-xl dark:shadow-inset sm:p-5 sm:rounded-xl;
}

[column-type=filled] .status__wrapper,
[column-type=filled] .status-placeholder {
  @apply rounded-none shadow-none p-4;
}

.status-check-box {
  border-bottom: 1px solid var(--background-color);
  display: flex;

  .status-check-box__status {
    margin: 10px 0 10px 10px;
    flex: 1;

    .media-gallery {
      max-width: 250px;
    }

    .status__content {
      padding: 0;
      white-space: normal;
    }

    .video-player,
    .audio-player {
      margin-top: 8px;
      max-width: 250px;
    }

    .media-gallery__item-thumbnail {
      cursor: default;
    }
  }
}

.status-check-box-toggle {
  align-items: center;
  display: flex;
  flex: 0 0 auto;
  justify-content: center;
  padding: 10px;
}

.status__content {
  @apply text-gray-900 dark:text-gray-100 break-words text-ellipsis overflow-hidden relative;

  &:focus {
    @apply outline-none;
  }

  &.status__content--with-spoiler {
    @apply whitespace-normal;

    .status__content__text {
      @apply whitespace-pre-wrap;
    }
  }

  .emojione {
    width: 20px;
    height: 20px;
    margin: -3px 0 0;
    display: inline;
  }

  p {
    margin-bottom: 20px;
    white-space: pre-wrap;

    &:last-child {
      margin-bottom: 2px;
    }
  }

  a {
    @apply text-primary-600 dark:text-primary-400 hover:underline;

    .fa {
      color: var(--primary-text-color);
    }
  }

  .status__content__text {
    display: none;

    &.status__content__text--visible {
      display: block;
    }
  }
}

.underline-links {
  .status__content,
  .reply-indicator__content {
    a {
      text-decoration: underline;
    }
  }
}

.focusable:focus,
.focusable-within:focus-within {
  outline: 0; /* Required b/c HotKeys lib sets this outline */
  @apply ring-2 ring-primary-300;

  .status.status-direct {
    &.muted {
      background: transparent;
    }
  }
}

.status-card {
  @apply flex text-sm border border-solid border-gray-200 dark:border-gray-700 rounded-lg text-gray-800 dark:text-gray-200 mt-3 min-h-[150px] no-underline overflow-hidden;
}

a.status-card {
  @apply cursor-pointer hover:bg-gray-50 dark:hover:bg-gray-900 hover:no-underline;
}

.status-card-photo {
  @apply cursor-zoom-in block no-underline w-full h-auto;
}

.status-card-video,
.status-card-audio {
  iframe {
    width: 100% !important;
    height: 100% !important;
  }
}

.status-card__title {
  @apply block font-medium mb-2 text-gray-800 dark:text-gray-200 no-underline;
}

.status-card__content {
  @apply flex-1 overflow-hidden p-4;
}

.status-card__description {
  @apply text-gray-500 dark:text-gray-400;
}

.status-card__host {
  display: flex;
  margin-top: 10px;
  font-size: 13px;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
  align-items: center;

  .svg-icon {
    height: 15px;
    width: 15px;
    margin-right: 3px;
  }
}

.status-card__image {
  flex: 0 0 40%;
  background: var(--brand-color--med);
  position: relative;

  & > .svg-icon {
    width: 40px;
    height: 40px;
    position: absolute;
    transform-origin: 50% 50%;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);

    svg {
      stroke-width: 1px;
    }
  }

  &--empty {
    flex: 0 0 80px;
  }
}

.status-card.horizontal {
  display: block;

  .status-card__title {
    white-space: inherit;
  }
}

.status-card.compact {
  @apply border-gray-200 dark:border-gray-700;
}

.status-card__image-image {
  @apply block w-full h-full object-cover bg-cover bg-center;
}

.status-card--link {
  @apply flex flex-col md:flex-row;
}

.status-card--link .status-card__image {
  @apply w-full rounded-l md:w-auto h-[200px] md:h-auto flex-none md:flex-auto;
}

.material-status {
  padding-bottom: 10px;

  &__status {
    @include standard-panel;
    padding: 15px 0 10px;
  }

  .status {
    padding: 8px 10px;

    &__avatar {
      position: relative;
      margin-right: 10px;
      top: 0;
      left: 0;
    }

    &__profile {
      display: flex;
      align-items: center;
    }

    &__content {
      padding-top: 10px;
    }

    &__display-name {
      .display-name__account {
        display: block;
      }
    }
  }
}

@media screen and (min-width: 630px) {
  .columns-area .material-status .status {
    padding: 15px;

    &__avatar {
      top: 0;
      left: 0;
    }

    &__content {
      padding-top: 10px;
    }
  }
}

.attachment-thumbs {
  position: relative;

  &__clickable-region {
    cursor: pointer;
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
  }
}
